<?php
#############################################################################
#
# This module can be used in SyndeoCMS
# SyndeoCMS is a website management system designed for schools.
#
############################################################################
# Idea         : Gien
# Module       : questions
# Script       : Admin.php
# Last changed : 07/07/2009
############################################################################
#                        LICENSE INFORMATION
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##############################################################################

if ( !defined('IN_SAS') )
{
	die("Hacking attempt");
}

if (IsSet ($_POST['questions_view_text']))
{
	$questions_view_text = sanitize($_POST['questions_view_text'], 0 , 'H'); //sanitize the input, leave html tags in tact
}

if (IsSet ($_POST['questions_intro_menu']))
{
	$questions_intro_menu = sanitize($_POST['questions_intro_menu'], 100 , 'A'); //sanitize max 100 characters
}

if (IsSet ($_POST['questions_add_menu']))
{
	$questions_add_menu = sanitize($_POST['questions_add_menu'], 500 , 'A'); //sanitize max 100 characters
}

if (IsSet ($_POST['questions_open_menu']))
{
	$questions_open_menu = sanitize($_POST['questions_open_menu'], 500 , 'A'); //sanitize max 100 characters
}

if (IsSet ($_POST['questions_page_name']))
{
	$questions_page_name = sanitize($_POST['questions_page_name'], 100 , 'A'); //sanitize max 100 characters
}

if (IsSet ($_POST['questions_welcome_text']))
{
	$questions_welcome_text = sanitize($_POST['questions_welcome_text'], 500 , 'A'); //sanitize max 100 characters
}

if (IsSet ($_POST['publish']))
{
	$publish = sanitize($_POST['publish'], 2 , 'I'); //sanitize max 100 characters
}

if (IsSet ($_POST['question']))
{
	$question = sanitize($_POST['question'], 150 , 'A'); //sanitize, max 150 characters
}

if (IsSet ($_POST['answer']))
{
	$answer = sanitize($_POST['answer'], 500 , 'A'); //sanitize, max 500 characters
}

if (IsSet ($_POST['sort']))
{
	$sort = sanitize($_POST['sort'], 4 , 'I'); //sanitize, integer 4 pos.
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 25, 'A');
}
else
{
	$modoption = "list_pages";	//default choice
}
if (IsSet ($_GET['cat_id']))
{
	$cat_id = intval($_GET['cat_id']); //sanitize,
}
if (IsSet ($_GET['question_id']))
{
	$question_id = intval($_GET['question_id']); //sanitize
}
if (IsSet ($_POST['page_id']))
{
	$page_id = sanitize($_POST['page_id'], 5 , 'I'); //sanitize, 5 pos max
}

if (IsSet ($_GET['school_id']))
{
	$school_id = intval($_GET['school_id']); //sanitize
}

if (IsSet ($_POST['schoolname']))
{
	$schoolname = sanitize($_POST['schoolname'], 5 , 'I'); //sanitize, 5 pos max
}

if (IsSet ($_POST['questions_email']))
{
	$questions_email = sanitize($_POST['questions_email'], 50 , 'A'); //sanitize max 100 characters
}

if (IsSet ($_POST['questions_school_name']))
{
	$questions_school_name = sanitize($_POST['questions_school_name'], 50 , 'A'); //sanitize max 100 characters
}

if (IsSet ($_POST['school']))
{
	$school = sanitize($_POST['school'], 50 , 'A'); //sanitize max 100 characters
}

if (IsSet ($_POST['applicant']))
{
	$applicant = sanitize($_POST['applicant'], 50 , 'A'); //sanitize max 100 characters
}

if (IsSet($_POST['publish_direct']))
{
	$publish_direct = sanitize($_POST['publish_direct'], 1, 'I'); //sanitize, integer 1 pos.
}

if (IsSet($_POST['public']))
{
	$public = sanitize($_POST['public'], 1, 'I'); //sanitize, integer 1 pos.
}


if(file_exists("languages/".$language."/sn_questions/".$language.".php"))
{
include("languages/".$language."/sn_questions/".$language.".php");
} 
else 
{
include("languages/EN/sn_questions/EN.php");
}

include("interface/header.inc.php");
include("interface/menubar.inc.php");
include("interface/menustart.inc.php");
print "<span class=\"sas_module_title\">".$sas_lang['filemanager_menu']."</span><br><br>";
print "<span class=link><a href=index.php?option=modulemanager&module=$module>".$sas_lang['manage']."</a><p>";
print "<a href=index.php?option=modulemanager&module=$module&modoption=configuration>".$sas_lang['configuration']."</a><br><br>";
print "<a href=index.php?option=modulemanager&module=$module&modoption=list_school>".$sas_lang['questions_module_list_school']."</a><br><br>";
print "<a href=index.php?option=modulemanager&module=$module&modoption=open_questions>".$sas_lang['questions_module_open']."</a></span><br>";

include("interface/menuend.inc.php");
include("interface/pagestart.inc.php");

$table_questions = $dbprefix."m_questions";
$table_questions_cat = $dbprefix."m_questions_cat";
$table_questions_school = $dbprefix."m_questions_school";

//put the schools in an array $schools
$query = "SELECT id, school FROM $table_questions_school";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);

while ($school_list = mysqli_fetch_array($result))
{
	$schools[$school_list[0]] = $school_list[1];
}

//put the categories in an array $schools
$query3 = "SELECT id, pagename FROM $table_questions_cat";
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);

while ($category_list = mysqli_fetch_array($result3))
{
	$cat[$category_list[0]] = $category_list[1];
}

$date_format = $sas_config['dateformat'];

switch ($modoption) // start of switch
{

	case list_pages :
	
		$query = "SELECT id, pagename, welcome, public FROM $table_questions_cat ORDER BY pagename";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$Recordcount = mysqli_num_rows($result); //number oflinks categories
  
        print "<span class=\"sas_module_title\"><b>$sas_lang[questions_module_pages]</b></span><br>";

		if ($Recordcount > 0)
		{
            print "<table border=\"0\">";
			while ($page_list = mysqli_fetch_array($result)) //loop through pagenames
			{
				$query2 = "SELECT id FROM $table_questions WHERE cat_id = '$page_list[0]'";

				$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
				$Recordcount1 = mysqli_num_rows($result2); //number of links
				
				$public = "" ;
				if ($page_list[3] == 1)
				{
					$public = "(*)";
				}
		
				print "	<tr><td colspan=\"2\">&nbsp;</td></tr>
						<tr><td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
						onClick=\"if(confirm('$sas_lang[questions_module_cat_delete_confirm]'))
						parent.location='index.php?option=modulemanager&module=$module&modoption=delete_question_page&cat_id=$page_list[0]';\">
						<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
						onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_question_page&cat_id=$page_list[0]'\"></td>
						<td><a href=index.php?option=modulemanager&module=$module&modoption=list_questions&cat_id=$page_list[0]>" . $page_list[1] . 
						"</a> ($Recordcount1)</span> $public</span></td></tr>";
			}
		}
		else
		{
			print "" . $sas_lang['questions_module_addcategory_please'] . "</span>";
		}
		print "<tr><td colspan=\"2\">&nbsp;</td></tr>
				</table>(*) " . $sas_lang['questions_module_is_public'] . "</span>" ;
		print "<p><img border=\"0\" src=\"graphics/document.gif\">
			   <a href=\"index.php?option=modulemanager&module=$module&modoption=add_question_page\">" . $sas_lang['question_module_add_question_page'] . "</a></span>";
//		print "&nbsp;&nbsp;<img border=\"0\" src=\"graphics/document.gif\">
//			   <a href=\"index.php?option=modulemanager&module=$module&page_id=$page_id&modoption=add_question\">" . $sas_lang['questions_module_add'] . "</a></span><p>";
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
	break;
	
	case save_config:
		
		if (!get_magic_quotes_gpc())
		{
			$welcometext = addslashes($_POST['welcometext']);
		} 
		else 
		{
			$welcometext = $_POST['welcometext'];
		}
	
		mysqli_query($db,"UPDATE $table_configuration SET config_value='$questions_view_text' WHERE config_key='questions_view_text'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value='$questions_intro_menu' WHERE config_key='questions_intro_menu'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value='$questions_add_menu' WHERE config_key='questions_add_menu'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value='$questions_open_menu' WHERE config_key='questions_open_menu'");

		print "<span class=\"sas_module_title\">$modulename $sas_lang[configuration]<br><br></span>";
		print "$sas_lang[questions_module_saved]" ;
		exit;
		
	break;

	case configuration:

		$questions_view_text = $sas_config['questions_view_text'];
		$questions_intro_menu = $sas_config['questions_intro_menu'];
		$questions_add_menu = $sas_config['questions_add_menu'];
		$questions_open_menu = $sas_config['questions_open_menu'];

		print "<span class=\"sas_module_title\">$modulename ".$sas_lang['configuration']."&nbsp;".$sas_lang['questions_module_module']."</span>";
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_config\">";
		
//		print "<span class=text>".$sas_lang['questions_module_header_questions']."</span><br>";
//		print "<textarea cols=\"70\" rows=\"3\" name=\"questions_view_text\">$questions_view_text</textarea><br>\n";
//		print "<br><br>";
		print "<span class=text>".$sas_lang['questions_module_intro_menu']."</span><br>";
		print "<textarea cols=\"70\" rows=\"2\" name=\"questions_intro_menu\">$questions_intro_menu</textarea><br>\n";
		print "<br><br>";

		print "<span class=text>".$sas_lang['questions_module_add_menu']."</span><br>";
		print "<textarea cols=\"70\" rows=\"5\" name=\"questions_add_menu\">$questions_add_menu</textarea><br>\n";
		print "<br><br>";

		print "<span class=text>".$sas_lang['questions_module_open_menu']."</span><br>";
		print "<textarea cols=\"70\" rows=\"5\" name=\"questions_open_menu\">$questions_open_menu</textarea><br>\n";
		print "<br><br>";


		print "\n<br><br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;".$sas_lang['cancel']."\" name=\"backbutton\"
			 onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"cancelbutton\">";
		print "\n&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;".$sas_lang['save']."\" name=\"savebutton\" class=\"savebutton\">";
		print "</span></form>";

		exit;
		
	break;

	case open_questions:

		print "<span class=\"sas_module_title\">".$sas_lang['questions_module_open']."</span><p>";

		$query = "SELECT id, question, answer, school, applicant, date_format(date, '%d-%m-%Y'), publish, cat_id, check_before_post FROM $table_questions WHERE publish = '0' ORDER BY date DESC, ID DESC";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);

		while ($questions_list = mysqli_fetch_array($result))
		{
			$school_id = $questions_list[3] ;
			$cat_id = $questions_list[7] ;

			print "<table width=100% border=\"0\"><tr>";
			$msg = str_replace("%date%", $questions_list[3], $sas_lang['questions_module_delete']);
			print "<tr bgcolor=\"$bgcolor\">
					 <td width=2%><img border=\"0\" src=\"graphics/delete.gif\" alt=\"$sas_lang[delete]\" title=\"$sas_lang[delete]\" width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"if(confirm('" . $msg . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_question&question_id=$questions_list[0]&cat_id=$cat_id';\"></td>
					 <td width=2%><img border=\"0\" src=\"graphics/edit.gif\" alt=\"$sas_lang[edit]\"  title=\"$sas_lang[edit]\"width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_question&question_id=$questions_list[0]&cat_id=$cat_id';\"></td>
                    <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_question']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$questions_list[1]<br></td>
					 </tr>
      
                     <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_category']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
                     <td valign=\"top\"><font size=\"2\">".$cat[$cat_id]."<br></td>
					 </tr>

                     <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_school']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
                      <td valign=\"top\"><font size=\"2\">".$schools[$school_id]."<br></td>
					 </tr>
                     <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_applicant']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$questions_list[4]<br></td>
					 </tr>
                     <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_date']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$questions_list[5]<br></td>
				   	 </tr>
      
                     <tr><td width=2%></td><td width=2%></td>
                     <td valign=\"top\" width='15%'><span class=text><b>".$sas_lang['questions_module_visible']."</b></span></td>
                     <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>
                     <td >";

                     if ($questions_list[8] == "1")
                     {
                     print "<font size=2>Ja";
                     }
                     else
                     {
                     print "<font size=2 color=red>Nee";
                     }

            print "</td></tr>
                   </table><hr> ";
		             }

//	print "<p><img border=\"0\" src=\"graphics/document.gif\">
//       <a href=\"index.php?option=modulemanager&module=$module&modoption=add_question\">$sas_lang[questions_module_add]</a></span>";
	print "\n<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_pages';\" class=\"backbutton\">";

    exit;
	break;

	case list_school:

		$query = "SELECT id, school FROM $table_questions_school ORDER BY school";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);

        print "<span class=\"sas_module_title\"><b>&nbsp;$sas_lang[questions_module_school2]</b></span><p>";
		while ($school_list = mysqli_fetch_array($result))
		{
			print "<table width=100% border=\"0\"><tr>";
   			print "<tr bgcolor=\"$bgcolor\">
					 <td width=2%><img border=\"0\" src=\"graphics/delete.gif\" alt=\"$sas_lang[delete]\" title=\"$sas_lang[delete]\" width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"if(confirm('" . $msg . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_school&school_id=$school_list[0]';\"></td>
					 <td width=2%><img border=\"0\" src=\"graphics/edit.gif\" alt=\"$sas_lang[edit]\"  title=\"$sas_lang[edit]\"width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_school&school_id=$school_list[0]';\"></td>

     				 <td valign=\"top\"><font size=\"2\">$school_list[1]<br></td>
					 </tr>
                     </table>";
		}

	print "<br><br><p><img border=\"0\" src=\"graphics/document.gif\">
       <a href=\"index.php?option=modulemanager&module=$module&modoption=add_school\">$sas_lang[questions_module_add_school]</a></span>";
	print "\n<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_pages';\" class=\"backbutton\">";

	break;

	case save_school:

		if($school_id == 0)
		{
			mysqli_query($db,"INSERT INTO $table_questions_school (id, school) VALUES (NULL, '$questions_school_name')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_questions_school SET school='$school' WHERE id = '$school_id'");
		}
		// set the last update date for the page

		$date1 = date("Y-m-d H:i:s");
		mysqli_query($db,"UPDATE $table_pages SET lastupdate='$date1' WHERE module='sn_questions/view_questions.php'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_school'</script>";

	break;

 	case delete_school:

		mysqli_query($db,"DELETE FROM $table_questions_school WHERE id = '$school_id'");
        print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_school'</script>";

	break;

	case add_school:

        print "<span class=\"sas_module_title\"><b>$sas_lang[questions_module_add_school]</b></span><p>";
		print "" . $sas_lang['questions_module_edit_questions_page'] . "</center><p></span>";
		print "\n<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_school\"
			   onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"0\" cellpadding=\"0\">";

		print "<tr><td>" . $sas_lang['questions_module_schoolname'] . ":</span></td></tr>
				<tr><td><input type=\"text\" size=\"50\" class=\"textfield\" name=\"questions_school_name\"></td></tr>";
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "</table>";

		print "<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";

		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";

	break;

	case edit_school:

		print "<span class=\"sas_module_title\">".$sas_lang['questions_module_change']."</span><p>";
		$query = "SELECT id, school FROM $table_questions_school WHERE id = '".$school_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
     	$school_list = mysqli_fetch_array($result) ;

		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_school&school_id=$school_id\">
				 <table border=\"0\" cellpadding=\"2\">";
		print "  <tr><td width=15%><span class=text><b>".$sas_lang['questions_module_schoolname']."</b></span></td>
				 <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>
				 <td><input type=\"text\" name=\"school\" size=\"75\" class=\"textfield\" value=\"$school_list[1]\" ></td></tr>
		         </table>";
		print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";


	break;

	case save_question:

		if($question_id == 0)
		{
			mysqli_query($db,"INSERT INTO $table_questions (id, question, answer, sort, cat_id, check_before_post) VALUES (NULL, '$question', '$answer', '$sort', '$page_id', '$check_before_post')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_questions SET answer='$answer', sort='$sort', publish='$publish', check_before_post='$check_before_post' WHERE id = '$question_id'");
		}
		// set the last update date for the page

		$date1 = date("Y-m-d H:i:s");
		mysqli_query($db,"UPDATE $table_pages SET lastupdate='$date1' WHERE module='sn_questions/view_questions.php'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_pages'</script>";
		
	break;


	case delete_question:

		mysqli_query($db,"DELETE FROM $table_questions WHERE id = '$question_id'");
        print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_questions&cat_id=$cat_id'</script>";
	
	break;

	case add_question:

		print "<span class=\"sas_module_title\"><b>&nbsp;$sas_lang[questions_module_add]&nbsp;$sas_lang[questions_module_module_questions]</b></center></span><p>";
        print "<FORM METHOD=\"POST\" NAME=\"questions\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_question&question_id=0\"
			   onsubmit=\"return checkinput(this);\"><table>\n";
		print "<tr><td><b>" . $sas_lang['questions_module_pagename'] . ": </b></span>
				<td width='1%' valign=\"top\"><b>:&nbsp;</b></td><td>
				<select size=\"1\" class=\"text\" name=\"page_id\">";
	
		$query2 = "SELECT id, pagename FROM $table_questions_cat ORDER BY pagename";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
		 
		while ($page_list = mysqli_fetch_array($result2))
		{
			print "<option value=\"$page_list[0]\">$page_list[1]</option>\n";
		}
			
		print "</select></td></tr>";
		print "<tr><td valign=\"top\" width=15%><font size=\"2\"><b>".$sas_lang['questions_module_question']."&nbsp;</b></font></td>
			   <td width='1%' valign=\"top\"><b>:&nbsp;</b></td>
			   <td><INPUT class=\"textfield\" size=\"75\" name=\"question\"></td></tr>
			   <tr><td valign=\"top\"><font size=\"2\"><b>".$sas_lang['questions_module_answer']."</b></font></td>
			   <td width='1%' valign=\"top\"><b>:&nbsp;</b></td>
			   <td><textarea cols=\"80\" rows=\"10\" name=\"answer\"></textarea></td></tr>
			   <tr><td valign=\"top\"><font size=\"2\"><b>".$sas_lang['questions_module_sort']."</b></font></td>
			   <td width='1%' valign=\"top\"><b>:&nbsp;</b></td>
			   <td><INPUT class=\"textfield\" size=\"5\" name=\"sort\"></td></tr>";
		print "</table>
			   <p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
			   onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;".$sas_lang['save']."\" name=\"savebutton\" class=\"savebutton\">";
		print "</span></form>";
		exit;
		
	break;
	
	case edit_question:

		print "<span class=\"sas_module_title\">".$sas_lang['questions_module_change']."</span><p>";
		
		$query = "SELECT id, question, answer, sort, school, applicant, date_format(date, '%d-%m-%Y'), publish, check_before_post FROM $table_questions WHERE id = '".$question_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$questions_list = mysqli_fetch_array($result);

        $answer = mysqli_result($result, 0, 2);

		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_question&question_id=$question_id&cat_id=$cat_id\">
				 <table border=\"0\" cellpadding=\"2\">";
     
		$school_id = $questions_list[4] ;
		print "  <tr><td width=15%><span class=text><b>".$sas_lang['questions_module_question']."</b></span></td>
				 <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>
				 <td><font size=2>$questions_list[1]</td></tr>
     
				 <tr><td valign=\"top\"><span class=text><b>".$sas_lang['questions_module_answer']."</b></span></td>
				 <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>

                 <td >";
		         // call basic fck editor for answer
                 //include ("editors/fckeditor/fckeditor.php");
		         small_editor('answer', $answer, 'editor1');
                 print " </td></tr>";

//				 print "<tr><td valign=\"top\"><span class=text><b>".$sas_lang['questions_module_sort']."</b></span></td>
//				 <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>
//				 <td><input type=\"text\" name=\"sort\" size=\"5\" value=\"$questions_list[3]\" class=\"textfield\"></td></tr>";
     
           print "<tr><td valign=\"top\"><span class=text><b>".$sas_lang['questions_module_school']."</b></span></td>
				 <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>
				 <td><font size=2>".$schools[$school_id]."</td></tr>
     
                 <tr><td valign=\"top\"><span class=text><b>".$sas_lang['questions_module_applicant']."</b></span></td>
				 <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>
				 <td><font size=2>$questions_list[5]</td></tr>

                 <tr><td valign=\"top\"><span class=text><b>".$sas_lang['questions_module_date']."</b></span></td>
				 <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>
				 <td><font size=2>$questions_list[6]</td></tr>

                 <tr><td valign=\"top\"><span class=text><b>".$sas_lang['questions_module_publish']."</b></span></td>
                 <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>
                 <td >" . $sas_lang['yes'] . "</span>";

                 if ($questions_list[7] == "1")
                 {
                 print "<input type=\"radio\" value=\"1\" name=\"publish\" checked>";
                 print "<span class=text>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
                 print "<input type=\"radio\" name=\"publish\" value=\"0\">";
                 }
                 else
                 {
                 print "<input type=\"radio\" value=\"1\" name=\"publish\">";
                 print "<span class=text>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
                 print "<input type=\"radio\" name=\"publish\" value=\"0\" checked>";
                 }

                 print "</td></tr>
        
                 <tr><td valign=\"top\"><span class=text><b>".$sas_lang['questions_module_visible']."</b></span></td>
                 <td width='1%' valign=\"top\"><font size=2><b>:&nbsp;</b></td>
                 <td >" . $sas_lang['yes'] . "</span>";

        if ($questions_list[8] == "1")
        {
            print "<input type=\"radio\" value=\"1\" name=\"check_before_post\" checked>";
            print "<span class=text>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
            print "<input type=\"radio\" name=\"check_before_post\" value=\"0\">";
        }
        else
        {
            print "<input type=\"radio\" value=\"1\" name=\"check_before_post\">";
            print "<span class=text>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
            print "<input type=\"radio\" name=\"check_before_post\" value=\"0\" checked>";
        }

        print "</td></tr>";
        print "</table>";
		print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";


	break;
 
	case save_question_page:
		
		if ($cat_id == 0)	//when question_id is 0 we have a new ads page
		{
			$query = "SELECT id FROM $table_questions_cat WHERE pagename = '".$questions_page_name."'";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysqli_num_rows($result);
			if ($RecordCount > 0)
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"".$sas_lang['questions_module_name_exists']."\");
					   //-->
					   </script>";
			}
			mysqli_query($db,"INSERT INTO $table_questions_cat (id, pagename, welcome, public, email )
				VALUES (NULL, '$questions_page_name', '$questions_welcome_text', '$public', '$questions_email')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_questions_cat 
								SET pagename = '$questions_page_name' ,
								welcome = '$questions_welcome_text' ,
								public = '$public' ,
                                email = '$questions_email'
                                WHERE id = '".$cat_id."'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_pages'</script>";
		
	break;
 
 	case delete_question_page:

		mysqli_query($db,"DELETE FROM $table_questions_cat WHERE id = '$cat_id'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_pages'</script>";

	break;
	
	case add_question_page:
		
		
		print "" . $sas_lang['questions_module_edit_questions_page'] . "</center><p></span>";
		print "\n<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_question_page&cat_id=0\"
			   onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"0\" cellpadding=\"0\">";
	
		print "<tr><td>" . $sas_lang['questions_module_pagename'] . ":</span></td></tr>
				<tr><td><input type=\"text\" size=\"50\" class=\"textfield\" name=\"questions_page_name\"></td></tr>";
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "<tr><td>" . $sas_lang['questions_module_welcome'] . ": &nbsp;</span></td></tr>
				<tr><td width=\"620\">";
		// call basic fck editor for welcome text
		//include ("editors/fckeditor/fckeditor.php");
		small_editor('questions_welcome_text', '', 'editor1');
		
		print "</td></tr>
				<tr><td>&nbsp;</td></tr>";
		
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "<tr><td>".$sas_lang['questions_module_is_public'].":&nbsp;";
		print "".$sas_lang['yes']."</span>&nbsp;";	
		print "<input type=\"radio\" value=\"1\" name=\"public\">&nbsp;";
		print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
		print "<input type=\"radio\" name=\"public\" value=\"0\" checked></td></tr>" ;
		
		print "<tr><td colspan=\"4\">&nbsp;</td></tr>";
  
//  	print "<tr><td>".$sas_lang['questions_module_publish_directly'].":&nbsp;";
//		print "<span class=text>".$sas_lang['yes']."</span>&nbsp;";

//		print "<input type=\"radio\" value=\"0\" name=\"publish_direct\" checked>&nbsp;";
//		print "<span class=text>&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
//		print "<input type=\"radio\" name=\"publish_direct\" value=\"1\"></td></tr>";

  		print "<tr><td colspan=\"4\">&nbsp;</td></tr>";
		
		print "</table>";
	
		print "<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
	
	break;
	
	case edit_question_page:
		
		$query = "SELECT pagename, welcome, public, email FROM $table_questions_cat WHERE id = '".$cat_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$pagename = mysqli_result($result, 0, 0);
		$questions_welcome_text = mysqli_result($result, 0, 1);
		$public = mysqli_result($result, 0, 2);
        $email = mysqli_result($result, 0, 3);
//        $publish_direct = mysqli_result($result, 0, 4);
		
		print "" . $sas_lang['questions_module_edit_questions_page'] . "</center><p></span>";
		print "\n<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_question_page&cat_id=$cat_id\"
			   onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"0\" cellpadding=\"0\">";
	
		print "<tr><td>" . $sas_lang['questions_module_pagename'] . ":</span></td></tr>
				<tr><td><input type=\"text\" size=\"50\" class=\"textfield\" name=\"questions_page_name\" value=\"$pagename\"></td></tr>";
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "<tr><td>" . $sas_lang['questions_module_welcome'] . ": &nbsp;</span></td></tr>
				<tr><td width=\"620\">";
		// call basic fck editor for welcome text
		//include ("editors/fckeditor/fckeditor.php");
		small_editor('questions_welcome_text', $questions_welcome_text, 'editor1');
		
		print "</td></tr>
				<tr><td>&nbsp;</td></tr>";
		
		print "<tr><td colspan=\"4\">&nbsp;</td></tr>";
  
		print "<tr><td>".$sas_lang['questions_module_is_public'].":&nbsp;";
		print "".$sas_lang['yes']."</span>&nbsp;";
		
		if ($public == "0")
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\">&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
			print "<input type=\"radio\" name=\"public\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\" checked>&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
			print "<input type=\"radio\" name=\"public\" value=\"0\">";
		}

		print "</td></tr>" ;
		
		print "<tr><td colspan=\"4\">&nbsp;</td></tr>";
  
//  		print "<tr><td>".$sas_lang['questions_module_publish_directly'].":&nbsp;";
//		    print "".$sas_lang['yes']."</span>&nbsp;";

//			if($publish_direct == "0")
//			{
//				print "<input type=\"radio\" value=\"0\" name=\"publish_direct\" checked>";
//				print "&nbsp;&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
//				print "<input type=\"radio\" name=\"publish_direct\" value=\"1\">";
//			}
//			else
//			{
//				print "<input type=\"radio\" value=\"0\" name=\"publish_direct\">";
//				print "&nbsp;&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
//				print "<input type=\"radio\" name=\"publish_direct\" value=\"1\" checked>";
//			}
//              print "</td></tr>" ;
            
            		print "<tr><td colspan=\"4\">&nbsp;</td></tr>";
  
		print "</table>";
  
  		print "".$sas_lang['questions_module_email_alert']."&nbsp;:</span>&nbsp;
				<input type=\"text\" size=50 class=\"textfield\" name=\"questions_email\" value=\"$email\">";

	
		print "<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
	
	break;
	
		
	case list_questions:
		
		$query = "SELECT pagename FROM $table_questions_cat WHERE id = '".$cat_id."' LIMIT 1" ;
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$page_name = mysqli_result($result, 0, 0);
		
		print "<span class=\"sas_module_title\">" .$page_name. ":</span><p>";
		
		$query = "SELECT id, question, answer, school, applicant, date_format(date, '%d-%m-%Y'), publish FROM $table_questions WHERE cat_id = '$cat_id' AND publish = '1' ORDER BY date DESC, ID DESC";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
		while ($questions_list = mysqli_fetch_array($result))
		{
			$school_id = $questions_list[3] ;
			print "<table width=100% border=\"0\"><tr>";
			$msg = str_replace("%date%", $questions_list[3], $sas_lang['questions_module_delete']);
			print "<tr bgcolor=\"$bgcolor\">
					 <td width=2%><img border=\"0\" src=\"graphics/delete.gif\" alt=\"$sas_lang[delete]\" title=\"$sas_lang[delete]\" width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"if(confirm('" . $msg . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_question&question_id=$questions_list[0]&cat_id=$cat_id';\"></td>
					 <td width=2%><img border=\"0\" src=\"graphics/edit.gif\" alt=\"$sas_lang[edit]\"  title=\"$sas_lang[edit]\"width=\"16\" height=\"16\" class=\"tooltip\" 
					 onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_question&question_id=$questions_list[0]&cat_id=$cat_id';\"></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_question']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$questions_list[1]<br></td>
					 </tr>
					 <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_answer']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$questions_list[2]<br></td>
					 </tr>
                     <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_school']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
                      <td valign=\"top\"><font size=\"2\">".$schools[$school_id]."<br></td>
					 </tr>
                     <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_applicant']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$questions_list[4]<br></td>
					 </tr>
                     <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_date']  . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$questions_list[5]<br></td>
					 </tr>

                     <tr> <tr> <td width=2%></td><td width=2%></td>
                     <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['questions_module_publish2'] . "</b></font></td>
                     <td valign=\"top\" width='1%'>: </td>
                     <td >";

                     if($questions_list[6] == "1")
                     {
                     print "<font size=2>Ja</font>";
                     }
                     else
                     {
                     print "<font size=2>Nee</font>";
                     }
                     print "<br></td></tr>";

		 	         print "</table><hr> ";
		             }

//	print "<p><img border=\"0\" src=\"graphics/document.gif\">
//       <a href=\"index.php?option=modulemanager&module=$module&modoption=add_question\">$sas_lang[questions_module_add]</a></span>";
	print "\n<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_pages';\" class=\"backbutton\">";

	break;

}

include("interface/pageend.inc.php");
include("interface/footer.inc.php");
?>


